<?php
/*
 You may not change or alter any portion of this comment or credits
 of supporting developers from this source code or any supporting source code
 which is considered copyrighted (c) material of the original comment or credit authors.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

/**
 * Wfdownloads module
 *
 * @copyright       XOOPS Project (https://xoops.org)
 * @license         GNU GPL 2 or later (https://www.gnu.org/licenses/gpl-2.0.html)
 * @package         wfdownload
 * @since           3.23
 * @author          Xoops Development Team
 */

// Module Info
// The name of this module
define('_MI_WFDOWNLOADS_NAME', 'Wfdownloads');
// A brief description of this module
define('_MI_WFDOWNLOADS_DESC', 'Crée une section de téléchargements où les utilisateurs peuvent télécharger, envoyer ou noter différents fichiers.');
// Names of blocks for this module (Not all module has blocks)
define('_MI_WFDOWNLOADS_BNAME1', 'Téléchargements récents');
define('_MI_WFDOWNLOADS_BNAME2', 'Top téléchargements');
define('_MI_WFDOWNLOADS_BNAME3', 'Les meilleurs téléchargements des meilleures catégories');
// Sub menu titles
define('_MI_WFDOWNLOADS_SMNAME1', 'Envoyer');
define('_MI_WFDOWNLOADS_SMNAME2', 'Populaires');
define('_MI_WFDOWNLOADS_SMNAME3', 'Top 10');
// Names of admin menu items
//define('_MI_WFDOWNLOADS_BINDEX', "Index"); // NOT USED FROM 3.23
//define('_MI_WFDOWNLOADS_INDEXPAGE', "Page index"); // NOT USED FROM 3.23
//define('_MI_WFDOWNLOADS_MCATEGORY', "Categories"); // NOT USED FROM 3.23
//define('_MI_WFDOWNLOADS_MDOWNLOADS', "Téléchargements "); // NOT USED FROM 3.23
//define('_MI_WFDOWNLOADS_REVIEWS', "Révisions"); // NOT USED FROM 3.23
//define('_MI_WFDOWNLOADS_MUPLOADS', "Télécharger des Images"); // NOT USED FROM 3.23
//define('_MI_WFDOWNLOADS_MMIMETYPES', "Types MIME"); // NOT USED FROM 3.23
//define('_MI_WFDOWNLOADS_PERMISSIONS', "Autorisations"); // NOT USED FROM 3.23
//define('_MI_WFDOWNLOADS_MVOTEDATA', "Votes"); // NOT USED FROM 3.23
//define('_MI_WFDOWNLOADS_MMIRRORS', "Miroirs"); // NOT USED FROM 3.23
// Title of config items
define('_MI_WFDOWNLOADS_POPULAR', '[statut] Compteur des téléchargements populaires');
define('_MI_WFDOWNLOADS_POPULARDSC', 'Nombre de téléchargements pour que le fichier soit considéré comme populaire.');
//Display Icons
define('_MI_WFDOWNLOADS_ICONDISPLAY', '[statut] Affichage des téléchargements populaires et des nouveaux icônes');
define('_MI_WFDOWNLOADS_DISPLAYICONDSC', 'Selectionner comment afficher les téléchargements populaires et nouveaux icônes dans la liste des téléchargements.');
define('_MI_WFDOWNLOADS_DISPLAYICON1', 'Afficher sous forme d\'icône');
define('_MI_WFDOWNLOADS_DISPLAYICON2', 'Afficher sous forme de texte');
define('_MI_WFDOWNLOADS_DISPLAYICON3', 'Aucun affichage');
define('_MI_WFDOWNLOADS_DAYSNEW', "[statut] Téléchargements et jours 'nouveau'");
define('_MI_WFDOWNLOADS_DAYSNEWDSC', "Nombre de jours pour que le téléchargement soit considéré comme 'nouveau'.");
define('_MI_WFDOWNLOADS_DAYSUPDATED', '[statut] Téléchargements et jours \'mis à jour\'');
define('_MI_WFDOWNLOADS_DAYSUPDATEDDSC', "Nombre de jours pour que le téléchargement soit considéré comme 'mis à jour'.");
define('_MI_WFDOWNLOADS_PERPAGE', 'Comptage et liste des téléchargements');
define('_MI_WFDOWNLOADS_PERPAGEDSC', 'Nombre de téléchargements à afficher dans chaque liste de catégorie.');
define('_MI_WFDOWNLOADS_TEMPLATESET', 'Sélectionner un jeu de \'template\'');
define('_MI_WFDOWNLOADS_TEMPLATESETDSC', 'Séletionner un jeu de template pour le module.<br />Ceci vous permettra de choisir comment vos téléchargements sont énumérés');
define('_MI_WFDOWNLOADS_TEMPLATESET1', 'Défaut');
define('_MI_WFDOWNLOADS_TEMPLATESET2', 'Professionnel');
define('_MI_WFDOWNLOADS_USESHOTS', '[captures d\'écran] Afficher les captures d\'écran');
define('_MI_WFDOWNLOADS_USESHOTSDSC', "Select '" . _YES . "' to display screenshot images for each download item.");
define('_MI_WFDOWNLOADS_SHOTWIDTH', '[vignettes] Largeur des vignettes (pixels)');
define('_MI_WFDOWNLOADS_SHOTWIDTHDSC', 'Affiche la largeur des images des vignettes.');
define('_MI_WFDOWNLOADS_SHOTHEIGHT', '[vignettes] Hauteur des vignettes (pixels)');
define('_MI_WFDOWNLOADS_SHOTHEIGHTDSC', 'Affiche la hauteur des images des vignettes.');
define('_MI_WFDOWNLOADS_CHECKHOST', '[sangsues] Interdire le lien de téléchargement direct');
define('_MI_WFDOWNLOADS_REFERERS', '[sangsues] Ces sites peuvent se relier directement à vos fichiers');
define('_MI_WFDOWNLOADS_REFERERSDSC', 'Séparez avec |');
define('_MI_WFDOWNLOADS_CAT_IMGWIDTH', '[images des catégories] Largeur des images des catégories à afficher');
define('_MI_WFDOWNLOADS_CAT_IMGWIDTHDSC', 'Largeur d\'affichage pour l\'image d\'une catégorie');
define('_MI_WFDOWNLOADS_CAT_IMGHEIGHT', '[images des catégories] Hauteur des images des catégories à afficher');
define('_MI_WFDOWNLOADS_CAT_IMGHEIGHTDSC', 'Hauteur d\'affichage pour l\'image d\'une catégorie');
define('_MI_WFDOWNLOADS_ANONPOST', '[soumission] soumission d\'un utilisateur anonyme');
define('_MI_WFDOWNLOADS_ANONPOSTDSC', 'Permettre aux utilisateurs anonymes de soumettre de nouveaux téléchargements et / ou miroirs sur votre site internet.');
define('_MI_WFDOWNLOADS_ANONPOST1', 'Aucun');
define('_MI_WFDOWNLOADS_ANONPOST2', 'Téléchargement uniquement');
define('_MI_WFDOWNLOADS_ANONPOST3', 'Miroir uniquement');
define('_MI_WFDOWNLOADS_ANONPOST4', 'Les deux');
define('_MI_WFDOWNLOADS_AUTOAPPROVE', '[soumissions] Approbation automatique des téléchargements soumis et / ou miroirs');
define('_MI_WFDOWNLOADS_AUTOAPPROVEDSC', 'Choisir d\'approuver les téléchargements et / ou miroirs soumis sans modération. ');
define('_MI_WFDOWNLOADS_AUTOAPPROVE1', 'Aucun');
define('_MI_WFDOWNLOADS_AUTOAPPROVE2', 'Téléchargement uniquement');
define('_MI_WFDOWNLOADS_AUTOAPPROVE3', 'Miroir uniquement');
define('_MI_WFDOWNLOADS_AUTOAPPROVE4', 'Les deux');
define('_MI_WFDOWNLOADS_REVIEWAPPROVE', '[révisions] Auto-approbation des révisions');
define('_MI_WFDOWNLOADS_REVIEWAPPROVEDSC', 'Choisir d\'approuver les révisions soumises sans modération. ');
define('_MI_WFDOWNLOADS_REVIEWANONPOST', '[révisions] Révisions des utilisateurs anonymes');
define('_MI_WFDOWNLOADS_REVIEWANONPOSTDSC', 'Permettre aux utilisateurs anonymes de soumettre de nouvelles révisions sur votre site internet.');
define('_MI_WFDOWNLOADS_MAXFILESIZE', '[envoi de fichiers] Taille d\'envoi maximale (octets)');
define('_MI_WFDOWNLOADS_MAXFILESIZEDSC', "Taille de fichier maximale autorisée avec le téléchargement des fichiers.<br />AVERTISSEMENT : La limite de taille de fichier est également influencée par les directives du php.ini « upload_max_filesize », « post_max_size » et « memory_limit »");
define('_MI_WFDOWNLOADS_IMGWIDTH', '[envoi de fichiers] Largeur d\'envoi maximale des images (pixels)');
define('_MI_WFDOWNLOADS_IMGWIDTHDSC', 'Largeur maximale autorisée pour les images envoyées');
define('_MI_WFDOWNLOADS_IMGHEIGHT', '[envoi de fichiers] Hauteur maximale d\'envoi des images (pixels)');
define('_MI_WFDOWNLOADS_IMGHEIGHTDSC', 'Hauteur maximale autorisée pour les images envoyés');
define('_MI_WFDOWNLOADS_AUTOSUMMARY', '[résumé automatique] Activer le résumé automatique des téléchargements');
define('_MI_WFDOWNLOADS_AUTOSUMMARYDESC', 'Créer automatiquement le résumé des téléchargements basé sur x nombre de caractères définis.');
define('_MI_WFDOWNLOADS_AUTOSUMMARYLENGTH', '[résumé automatique] Longueur du résumé automatique');
define('_MI_WFDOWNLOADS_AUTOSUMMARYLENGTHDESC', 'Quantité maximale de caractères affichés pour le résumé');
define('_MI_WFDOWNLOADS_UPLOADDIR', '[envoi de fichiers] Répertoire pour les téléchargements');
define('_MI_WFDOWNLOADS_UPLOADDIRDSC', 'Le répertoire de téléchargement *DOIT* être un chemin absolut ! <br>Pas de barre oblique finale.');
define('_MI_WFDOWNLOADS_ENABLERSS', '[flux RSS] Activer les flux RSS');
define('_MI_WFDOWNLOADS_ENABLERSSDSC', "Select '" . _YES . "' to enable RSS feeds.");
define('_MI_WFDOWNLOADS_DOWNLOADMINPOSTS', 'Messages minimum requis pour le téléchargement');
define('_MI_WFDOWNLOADS_DOWNLOADMINPOSTSDSC', 'Entrez le nombre minimum de messages nécessaires pour télécharger un fichier.');
define('_MI_WFDOWNLOADS_UPLOADMINPOSTS', 'Messages minimum requis pour l\'envoi');
define('_MI_WFDOWNLOADS_UPLOADMINPOSTSDSC', 'Entrer le minimum de messages requis pour pouvoir envoyer un fichier.');
define('_MI_WFDOWNLOADS_ALLOWSUBMISS', '[soumissions] Soumission des utilisateurs');
define('_MI_WFDOWNLOADS_ALLOWSUBMISSDSC', 'Autoriser les utilisateurs à soumettre de nouveaux téléchargements et / ou miroirs.');
define('_MI_WFDOWNLOADS_ALLOWSUBMISS1', 'Aucun');
define('_MI_WFDOWNLOADS_ALLOWSUBMISS2', 'Téléchargement uniquement');
define('_MI_WFDOWNLOADS_ALLOWSUBMISS3', 'Miroir uniquement');
define('_MI_WFDOWNLOADS_ALLOWSUBMISS4', 'Les deux');
define('_MI_WFDOWNLOADS_ALLOWUPLOADS', '[soumissions] L\'utilisateur peut envoyer des fichiers');
define('_MI_WFDOWNLOADS_ALLOWUPLOADSDSC', 'Autoriser les utilisateurs à envoyer directement sur votre site. <br>Ceci inclut les fichiers et captures d\'écran !');
define('_MI_WFDOWNLOADS_ALLOWUPLOADSGROUP', '[soumissions] Groupes envoyant des fichiers');
define('_MI_WFDOWNLOADS_ALLOWUPLOADSGROUPDSC', 'Choisissez les groupes qui peuvent envoyer des fichiers vers votre site. <br>Ceci inclut les fichiers et les captures d\'écran !');
define('_MI_WFDOWNLOADS_SCREENSHOTS', '[captures d\'écran] Répertoire d\'envoi des captures d\'écran');
define('_MI_WFDOWNLOADS_CATEGORYIMG', '[images des catégories] Répertoire d\'envoi pour les images des catégories');
define('_MI_WFDOWNLOADS_MAINIMGDIR', '[page index] Répertoire principal pour les images');
define('_MI_WFDOWNLOADS_USETHUMBS', 'Utilisation des miniatures:');
define('_MI_WFDOWNLOADS_USETHUMBSDSC', "Supported file types: JPG, GIF, PNG. <br>Module will use thumbnails for images (category & screenshots). <br>Set to '" . _NO . "' to use original image if the server does not support this option.");
define('_MI_WFDOWNLOADS_DATEFORMAT', 'Format de date');
define('_MI_WFDOWNLOADS_DATEFORMATDSC', "Format de date par défaut pour le module frontal. <br>Plus d'infos ici : <a href='https://www.php.net/manual/fr/function.date.php'>https://www.php.net/manual/fr/function.date.php</a>");
define('_MI_WFDOWNLOADS_SHOWDISCLAIMER', 'Montrez le Disclaimer avant la soumission d\'utilisateur ?');
define('_MI_WFDOWNLOADS_SHOWDOWNDISCL', 'Montrez le Disclaimer avant le téléchargement d\'utilisateur ?');
define('_MI_WFDOWNLOADS_DISCLAIMER', 'Entrez le texte du disclaimer pour l\'envoie:');
define('_MI_WFDOWNLOADS_DOWNDISCLAIMER', 'Entrez le texte du disclaimer pour le téléchargement :');
define('_MI_WFDOWNLOADS_PLATFORM', 'Entrez les plateformes');
define('_MI_WFDOWNLOADS_SUBCATS', 'Sous-catégories');
define('_MI_WFDOWNLOADS_VERSIONTYPES', 'Status de la Version :');
define('_MI_WFDOWNLOADS_LICENSE', 'Entrez la licence :');
define('_MI_WFDOWNLOADS_LIMITS', 'Entrez la limitation pour les fichiers :');
define('_MI_WFDOWNLOADS_MAXSHOTS', 'Choisissez le nombre maximum des capture d\'écran :');
define('_MI_WFDOWNLOADS_MAXSHOTSDSC', 'Nombre maximum de capture d\'écran autorisés.');
define('_MI_WFDOWNLOADS_SUBMITART', 'Soumission des téléchargements :');
define('_MI_WFDOWNLOADS_SUBMITARTDSC', 'Sélectionnez les groupes qui peuvent soumettre de nouveaux téléchargements. <br>Les webmestres sont automatiquement sélectionnés !');
define('_MI_WFDOWNLOADS_IMGUPDATE', 'Mise à jour des miniatures ?');
define('_MI_WFDOWNLOADS_IMGUPDATEDSC', "If selected '" . _YES . "' thumbnail images will be updated at each page render, otherwise the first thumbnail image will be used regardless.");
define('_MI_WFDOWNLOADS_QUALITY', 'Qualité des miniatures:');
define('_MI_WFDOWNLOADS_QUALITYDSC', 'Basse qualité: 0 Haute qualité: 100');
define('_MI_WFDOWNLOADS_KEEPASPECT', 'Conserver le ratio de l\'image?');
define('_MI_WFDOWNLOADS_KEEPASPECTDSC', '');
define('_MI_WFDOWNLOADS_ADMINPAGE', 'Index des Fichiers a montrer dans la partie administrateur:');
define('_MI_WFDOWNLOADS_AMDMINPAGEDSC', 'Nombre des nouveaux fichiers à montrer dans la partie administrateur.');
define('_MI_WFDOWNLOADS_ARTICLESSORT', 'Ordre par défaut des téléchargements:');
define('_MI_WFDOWNLOADS_ARTICLESSORTDSC', 'Selectonner l\'ordre par the défaut pour la liste des fichiers.');
define('_MI_WFDOWNLOADS_TITLE', 'Titre');
define('_MI_WFDOWNLOADS_RATING', 'Note ');
define('_MI_WFDOWNLOADS_WEIGHT', 'Poids');
define('_MI_WFDOWNLOADS_POPULARITY', 'Popularité');
define('_MI_WFDOWNLOADS_SUBMITTED2', 'Date de soumission');
define('_MI_WFDOWNLOADS_COPYRIGHT', 'Note de Copyright :');
define('_MI_WFDOWNLOADS_COPYRIGHTDSC', 'Selectionnez pour afficher le copyright sur la page de téléchargement.');
// Description of each config items
define('_MI_WFDOWNLOADS_PLATFORMDSC', 'Liste des plateformes à saisir. <br>Séparées par un | <br>IMPORTANT : Ne changez pas cela une fois que le site est en ligne, ajoutez des nouvelles à la fin de la liste !');
define('_MI_WFDOWNLOADS_SUBCATSDSC', "Select '" . _YES . "' to display subcategories. Selecting '" . _NO . "' will hide sub-categories from the listings.");
define('_MI_WFDOWNLOADS_LICENSEDSC', 'Liste des licences à saisir. <br>Séparées par un | <br>IMPORTANT : Ne changez pas cela une fois que le site est en ligne, ajoutez des nouvelles à la fin de la liste !');
// Text for notifications
define('_MI_WFDOWNLOADS_GLOBAL_NOTIFY', 'Globale');
define('_MI_WFDOWNLOADS_GLOBAL_NOTIFYDSC', 'Options de notification globales pour les téléchargements .');
define('_MI_WFDOWNLOADS_CATEGORY_NOTIFY', 'Categorie');
define('_MI_WFDOWNLOADS_CATEGORY_NOTIFYDSC', 'Options de notification qui s\'appliquent à la catégorie du fichier actuel.');
define('_MI_WFDOWNLOADS_FILE_NOTIFY', 'Fichier');
define('_MI_WFDOWNLOADS_FILE_NOTIFYDSC', 'Options de notification qui s\'appliquent au fichier en cours.');
define('_MI_WFDOWNLOADS_GLOBAL_NEWCATEGORY_NOTIFY', 'Nouvelle catégorie');
define('_MI_WFDOWNLOADS_GLOBAL_NEWCATEGORY_NOTIFYCAP', 'M\'avertir quand une nouvelle catégorie de fichiers est créée.');
define('_MI_WFDOWNLOADS_GLOBAL_NEWCATEGORY_NOTIFYDSC', 'Notifiez-moi quand une catégorie de fichiers est créée.');
define('_MI_WFDOWNLOADS_GLOBAL_NEWCATEGORY_NOTIFYSBJ', '[{X_SITENAME}] {X_MODULE} auto-notification : Nouvelle catégorie de fichiers');
define('_MI_WFDOWNLOADS_GLOBAL_FILEMODIFY_NOTIFY', 'Modifier le fichier demandé');
define('_MI_WFDOWNLOADS_GLOBAL_FILEMODIFY_NOTIFYCAP', 'Notifiez-moi de toute demande de modification de fichiers.');
define('_MI_WFDOWNLOADS_GLOBAL_FILEMODIFY_NOTIFYDSC', 'Notifiez-moi de toute demande de modification de fichiers.');
define('_MI_WFDOWNLOADS_GLOBAL_FILEMODIFY_NOTIFYSBJ', '[{X_SITENAME}] {X_MODULE} notification automatique : demande de Modification de fichier');
define('_MI_WFDOWNLOADS_GLOBAL_FILEBROKEN_NOTIFY', 'Fichier brisé soumis');
define('_MI_WFDOWNLOADS_GLOBAL_FILEBROKEN_NOTIFYCAP', 'Notifiez-moi de tout rapport de fichier manquant.');
define('_MI_WFDOWNLOADS_GLOBAL_FILEBROKEN_NOTIFYDSC', 'Notifiez-moi de tout rapport de fichier manquant.');
define('_MI_WFDOWNLOADS_GLOBAL_FILEBROKEN_NOTIFYSBJ', '[{X_SITENAME}] {X_MODULE} notification automatique : signalement de fichier brisé');
define('_MI_WFDOWNLOADS_GLOBAL_FILESUBMIT_NOTIFY', 'Fichier soumis');
define('_MI_WFDOWNLOADS_GLOBAL_FILESUBMIT_NOTIFYCAP', 'Notifiez-moi des nouvelles soumissions de fichier (en attente d\'approbation).');
define('_MI_WFDOWNLOADS_GLOBAL_FILESUBMIT_NOTIFYDSC', 'Notifiez-moi des nouvelles soumissions de fichier (en attente d\'approbation).');
define('_MI_WFDOWNLOADS_GLOBAL_FILESUBMIT_NOTIFYSBJ', '[{X_SITENAME}] {X_MODULE} notification automatique : nouveau fichier soumis');
define('_MI_WFDOWNLOADS_GLOBAL_NEWFILE_NOTIFY', 'Nouveau fichier');
define('_MI_WFDOWNLOADS_GLOBAL_NEWFILE_NOTIFYCAP', 'Notifiez-moi dès qu\'un nouveau fichier est publié.');
define('_MI_WFDOWNLOADS_GLOBAL_NEWFILE_NOTIFYDSC', 'Notifiez-moi dès qu\'un nouveau fichier est publié.');
define('_MI_WFDOWNLOADS_GLOBAL_NEWFILE_NOTIFYSBJ', '[{X_SITENAME}] {X_MODULE} notification automatique : nouveau fichier');
define('_MI_WFDOWNLOADS_CATEGORY_FILESUBMIT_NOTIFY', 'Fichier soumis');
define('_MI_WFDOWNLOADS_CATEGORY_FILESUBMIT_NOTIFYCAP', 'Me prévenir lorsqu\'un nouveau fichier est soumis (en attente d\'approbation) dans la catégorie actuelle.');
define('_MI_WFDOWNLOADS_CATEGORY_FILESUBMIT_NOTIFYDSC', 'Recevoir une notification lorsqu\'un nouveau fichier est soumis (en attente d\'approbation) dans la catégorie actuelle.');
define('_MI_WFDOWNLOADS_CATEGORY_FILESUBMIT_NOTIFYSBJ', '[{X_SITENAME}] {X_MODULE} notification automatique : nouveau fichier présenté dans la catégorie');
define('_MI_WFDOWNLOADS_CATEGORY_NEWFILE_NOTIFY', 'Nouveau fichier');
define('_MI_WFDOWNLOADS_CATEGORY_NEWFILE_NOTIFYCAP', 'M\'avertir quand un nouveau fichier est affecté à la catégorie actuelle.');
define('_MI_WFDOWNLOADS_CATEGORY_NEWFILE_NOTIFYDSC', 'Recevoir une notification lorsqu\'un nouveau fichier est affecté à la catégorie actuelle.');
define('_MI_WFDOWNLOADS_CATEGORY_NEWFILE_NOTIFYSBJ', '[{X_SITENAME}] {X_MODULE} auto-notification : Nouveau fichier dans cette catégorie.');
define('_MI_WFDOWNLOADS_FILE_APPROVE_NOTIFY', 'Fichier approuvé');
define('_MI_WFDOWNLOADS_FILE_APPROVE_NOTIFYCAP', 'M\'avertir quand ce fichier est approuvé.');
define('_MI_WFDOWNLOADS_FILE_APPROVE_NOTIFYDSC', 'Recevoir une notification lorsque ce fichier est approuvé.');
define('_MI_WFDOWNLOADS_FILE_APPROVE_NOTIFYSBJ', '[{X_SITENAME}] {X_MODULE} notification automatique : fichier approuvé');
/* Added by Lankford on 2007/3/21 */
define('_MI_WFDOWNLOADS_FILE_FILEMODIFIED_NOTIFY', 'Catégorie ou fichier modifié');
define('_MI_WFDOWNLOADS_FILE_FILEMODIFIED_NOTIFYCAP', 'Informez-moi quand ce fichier est modifié.');
define('_MI_WFDOWNLOADS_FILE_FILEMODIFIED_NOTIFYDSC', 'Recevez une notification quand ce fichier est modifié.');
define('_MI_WFDOWNLOADS_FILE_FILEMODIFIED_NOTIFYSBJ', '[{X_SITENAME}] {X_MODULE} auto-notification : catégorie ou fichier modifié');
define('_MI_WFDOWNLOADS_CATEGORY_FILEMODIFIED_NOTIFY', 'Catégorie ou fichier modifié');
define('_MI_WFDOWNLOADS_CATEGORY_FILEMODIFIED_NOTIFYCAP', 'Informez-moi quand cette catégorie est modifiée.');
define('_MI_WFDOWNLOADS_CATEGORY_FILEMODIFIED_NOTIFYDSC', 'Recevez une notification quand cette catégorie est modifiée.');
define('_MI_WFDOWNLOADS_CATEGORY_FILEMODIFIED_NOTIFYSBJ', '[{X_SITENAME}] {X_MODULE} auto-notification : catégorie ou fichier modifié');
define('_MI_WFDOWNLOADS_GLOBAL_FILEMODIFIED_NOTIFY', 'Catégorie ou fichier modifié');
define('_MI_WFDOWNLOADS_GLOBAL_FILEMODIFIED_NOTIFYCAP', 'Informez-moi quand une catégorie ou un fichier est modifié.');
define('_MI_WFDOWNLOADS_GLOBAL_FILEMODIFIED_NOTIFYDSC', 'Recevez une notification quand une catégorie ou un fichier est modifié.');
define('_MI_WFDOWNLOADS_GLOBAL_FILEMODIFIED_NOTIFYSBJ', '[{X_SITENAME}] {X_MODULE} auto-notification : catégorie ou fichier modifié');
/* End add block */
define('_MI_WFDOWNLOADS_AUTHOR_INFO', 'Informations sur le développeur');
define('_MI_WFDOWNLOADS_AUTHOR_NAME', 'Développeur');
define('_MI_WFDOWNLOADS_AUTHOR_DEVTEAM', 'Equipe de développement');
define('_MI_WFDOWNLOADS_AUTHOR_WEBSITE', 'Site internet du développeur');
define('_MI_WFDOWNLOADS_AUTHOR_EMAIL', 'Courriel du Développeur');
define('_MI_WFDOWNLOADS_AUTHOR_CREDITS', 'Remerciements');
define('_MI_WFDOWNLOADS_MODULE_INFO', 'Informations sur le développement du module');
define('_MI_WFDOWNLOADS_MODULE_STATUS', 'État du développement');
define('_MI_WFDOWNLOADS_MODULE_DEMO', ' Site de démonstration');
define('_MI_WFDOWNLOADS_MODULE_SUPPORT', 'Site officiel pour le support');
define('_MI_WFDOWNLOADS_MODULE_BUG', 'Rapporter un bogue concernant ce module');
define('_MI_WFDOWNLOADS_MODULE_FEATURE', 'Suggérez une nouvelle fonction pour ce module ');
define('_MI_WFDOWNLOADS_MODULE_DISCLAIMER', 'Avertissement');
define('_MI_WFDOWNLOADS_RELEASE', 'Date de mise à jour : ');
define('_MI_WFDOWNLOADS_MODULE_MAILLIST', 'Mailing Liste de WF-Section');
define('_MI_WFDOWNLOADS_MODULE_MAILANNOUNCEMENTS', 'Mailing Liste des nouvelles');
define('_MI_WFDOWNLOADS_MODULE_MAILBUGS', 'Mailing Liste desrapports de bugs');
define('_MI_WFDOWNLOADS_MODULE_MAILFEATURES', 'Mailing Liste des fonctionnatlitéz');
define('_MI_WFDOWNLOADS_MODULE_MAILANNOUNCEMENTSDSC', 'Get the latest announcements from WF-Section.');
define('_MI_WFDOWNLOADS_MODULE_MAILBUGSDSC', 'Bug Tracking and submission mailing list');
define('_MI_WFDOWNLOADS_MODULE_MAILFEATURESDSC', 'Request New Features mailing list.');
define(
    '_MI_WFDOWNLOADS_WARNINGTEXT',
    'THE SOFTWARE IS PROVIDED BY WF-SECTIONS "AS IS" AND "WITH ALL FAULTS."
WF-SECTIONS MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING
THE QUALITY, SAFETY OR SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR
IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT.
FURTHER, ABLEMEDIA MAKES NO REPRESENTATIONS OR WARRANTIES AS TO THE TRUTH,
ACCURACY OR COMPLETENESS OF ANY STATEMENTS, INFORMATION OR MATERIALS
CONCERNING THE SOFTWARE THAT IS CONTAINED IN WF-SECTIONS WEBSITE. IN NO
EVENT WILL ABLEMEDIA BE LIABLE FOR ANY INDIRECT, PUNITIVE, SPECIAL,
INCIDENTAL OR CONSEQUENTIAL DAMAGES HOWEVER THEY MAY ARISE AND EVEN IF
WF-SECTIONS HAS BEEN PREVIOUSLY ADVISED OF THE POSSIBILITY OF SUCH DAMAGES..'
);
define(
    '_MI_WFDOWNLOADS_AUTHOR_CREDITSTEXT',
    'L\'équipe XOOPS tient à remercier les personnes suivantes pour leur aide et leur soutien pendant la phase de développement de ce module : <br><br>tom, mking, paco1969, mharoun, Talis, m0nty, steenlnielsen, Clubby, Geronimo, bd_csmc, herko, LANG, Stewdio, tedsmith, veggieryan, carnuke, MadFish, Kiang, L\'équipe SmartFactory<br>et quiconque qui y a contribué directement ou indirectement.'
);
define('_MI_WFDOWNLOADS_AUTHOR_BUGFIXES', 'Historique des bugs corrigés');
define('_MI_WFDOWNLOADS_COPYRIGHTIMAGE', 'Images de l\'auteur WF-projet qui ne peuvent être utilisées qu\'avec sa permission');
// mirror defines
define('_MI_WFDOWNLOADS_MIRROR_USEIMAGES', 'Afficher les logos mirroir ?'); // not implemented yet
define('_MI_WFDOWNLOADS_MIRROR_USEIMAGESDSC', "Select '" . _YES . "' to display logo for each mirror."); // not implemented yet
define('_MI_WFDOWNLOADS_MIRROR_IMGWIDTH', 'Largeur d\'affichage des logos'); // not implemented yet
define('_MI_WFDOWNLOADS_MIRROR_IMGWIDTHDSC', 'Largeur d\'affichage des logos'); // not implemented yet
define('_MI_WFDOWNLOADS_MIRROR_IMGHEIGHT', 'hauteur d\'affichage des logos'); // not implemented yet
define('_MI_WFDOWNLOADS_MIRROR_IMGHEIGHTDSC', 'hauteur d\'affichage des logos'); // not implemented yet
define('_MI_WFDOWNLOADS_MIRROR_AUTOAPPROVE', 'Auto-approbation de soumission de miroirs');
define('_MI_WFDOWNLOADS_MIRROR_AUTOAPPROVEDSC', 'Selectionner pour l\'approbation sans modération des miroirs.');
define('_MI_WFDOWNLOADS_MIRROR_MAXIMGWIDTH', 'Largeur du logo envoyé'); // not implemented yet
define('_MI_WFDOWNLOADS_MIRROR_MAXIMGWIDTHDSC', 'Largeur Maximale du logo pouvant être envoyés'); // not implemented yet
define('_MI_WFDOWNLOADS_MIRROR_MAXIMGHEIGHT', 'Hauteur du logo envoyé'); // not implemented yet
define('_MI_WFDOWNLOADS_MIRROR_MAXIMGHEIGHTDSC', 'Hauteur Maximale du logo pouvant être envoyés'); // not implemented yet
define('_MI_WFDOWNLOADS_MIRROR_ENABLE', 'Activer le système de miroir');
define('_MI_WFDOWNLOADS_MIRROR_ENABLEDSC', 'Si activé, le système de miroirs (soumettre et utiliser des miroirs) est activé en arrière-plan.');
define('_MI_WFDOWNLOADS_MIRROR_ENABLEONCHK', 'Activer la vérification de serveur en ligne');
define('_MI_WFDOWNLOADS_MIRROR_ENABLEONCHKDSC', 'Active la vérification du serveur hôte pour les miroirs. <br>Ceci peut ralentir le chargement de votre page si vous disposez de nombreux miroirs.');
define('_MI_WFDOWNLOADS_MIRROR_ALLOWSUBMISS', 'Soumissions de Miroir d\'Utilisateur :');
define('_MI_WFDOWNLOADS_MIRROR_ALLOWSUBMISSDSC', 'Autoriser les utilisateurs à soumettre de nouveau miroirs');
define('_MI_WFDOWNLOADS_MIRROR_MIRRORIMAGES', 'Répertoire des logos de mirroirs'); // not implemented yet
define('_MI_WFDOWNLOADS_MIRROR_MIRRORIMAGESDSC', 'Répertoire des logos de mirroirs'); // not implemented yet

// 3.21
define('_MI_WFDOWNLOADS_DB_IMPORT', 'Importer');
define('_MI_WFDOWNLOADS_HELP', 'Aide');

// 3.22
define('_MI_WFDOWNLOADS_EDITOR', '[éditeur] Éditeur de texte');
define('_MI_WFDOWNLOADS_EDITORCHOICE', 'Éditeur pour le résumé des fichiers et les champs de téléchargement');

// 3.23
define('_MI_WFDOWNLOADS_SUBCATSSORTBY', 'Trier les sous-catégories par');
define('_MI_WFDOWNLOADS_SUBCATSSORTBYDSC', '');
define('_MI_WFDOWNLOADS_SUBCATSSORTBYCID', 'ID de la catégorie');
define('_MI_WFDOWNLOADS_SUBCATSSORTBYTITLE', 'Titre de la catégorie');
define('_MI_WFDOWNLOADS_SUBCATSSORTBYWEIGHT', 'Poids de la catégorie');
// Names of admin menu items
define('_MI_WFDOWNLOADS_MENU_HOME', 'Accueil');
define('_MI_WFDOWNLOADS_MENU_HOME_DESC', 'Accueil');
define('_MI_WFDOWNLOADS_MENU_CATEGORIES', 'Categories');
define('_MI_WFDOWNLOADS_MENU_CATEGORIES_DESC', 'Categories');
define('_MI_WFDOWNLOADS_MENU_DOWNLOADS', 'Téléchargements ');
define('_MI_WFDOWNLOADS_MENU_DOWNLOADS_DESC', 'Téléchargements ');
define('_MI_WFDOWNLOADS_MENU_REVIEWS', 'Révisions');
define('_MI_WFDOWNLOADS_MENU_REVIEWS_DESC', 'Révisions');
define('_MI_WFDOWNLOADS_MENU_MIRRORS', 'Miroirs');
define('_MI_WFDOWNLOADS_MENU_MIRRORS_DESC', 'Miroirs');
define('_MI_WFDOWNLOADS_MENU_BROKENS', 'Brisés');
define('_MI_WFDOWNLOADS_MENU_BROKENS_DESC', 'Brisés');
define('_MI_WFDOWNLOADS_MENU_REPORTSMODIFICATIONS', 'Brisés & Modifés');
define('_MI_WFDOWNLOADS_MENU_REPORTSMODIFICATIONS_DESC', 'Brisés & Modifés');
define('_MI_WFDOWNLOADS_MENU_INDEXPAGE', 'Sommaire');
define('_MI_WFDOWNLOADS_MENU_INDEXPAGE_DESC', 'Sommaire');
define('_MI_WFDOWNLOADS_MENU_SWISHE', 'Configuration Swish-e');
define('_MI_WFDOWNLOADS_MENU_SWISHE_DESC', 'Configuration Swish-e');
define('_MI_WFDOWNLOADS_MENU_IMAGES', 'Images');
define('_MI_WFDOWNLOADS_MENU_IMAGES_DESC', 'Images');
define('_MI_WFDOWNLOADS_MENU_MIMETYPES', 'Types MIME');
define('_MI_WFDOWNLOADS_MENU_MIMETYPES_DESC', 'Types MIME');
define('_MI_WFDOWNLOADS_MENU_RATINGS', 'Notes et Votes');
define('_MI_WFDOWNLOADS_MENU_RATINGS_DESC', 'Notes et Votes');
define('_MI_WFDOWNLOADS_MENU_PERMISSIONS', 'Autorisations');
define('_MI_WFDOWNLOADS_MENU_PERMISSIONS_DESC', 'Autorisations');
define('_MI_WFDOWNLOADS_MENU_IMPORT', 'Importer');
define('_MI_WFDOWNLOADS_MENU_IMPORT_DESC', 'Importer');
define('_MI_WFDOWNLOADS_MENU_CLONE', 'Cloner le module');
define('_MI_WFDOWNLOADS_MENU_CLONE_DESC', 'Cloner le module');
define('_MI_WFDOWNLOADS_MENU_ABOUT', 'À propos');
define('_MI_WFDOWNLOADS_MENU_ABOUT_DESC', 'À propos');
define('_MI_WFDOWNLOADS_SCREENSHOTSDSC', 'Path relative to Xoops root path: "' . XOOPS_ROOT_PATH . '/". <br>No trailing slash.');
define('_MI_WFDOWNLOADS_MAINIMGDIRDSC', 'Path relative to Xoops root path: "' . XOOPS_ROOT_PATH . '/". <br>No trailing slash.');
define('_MI_WFDOWNLOADS_CATEGORYIMGDSC', 'Path relative to Xoops root path: "' . XOOPS_ROOT_PATH . '/". <br>No trailing slash.');
define('_MI_WFDOWNLOADS_SHOWDISCLAIMERDSC', '');
define('_MI_WFDOWNLOADS_DISCLAIMERDSC', 'Balises HTML, émoticônes, codes XOOPS, images sont activés.');
define('_MI_WFDOWNLOADS_SHOWDOWNDISCLDSC', '');
define('_MI_WFDOWNLOADS_DOWNDISCLAIMERDSC', 'Balises HTML, émoticônes, codes XOOPS, images sont activés.');
define('_MI_WFDOWNLOADS_LIMITSDSC', 'Liste des limites à saisir. <br>Séparez avec | <br> IMPORTANT : ne changez pas cela une fois que le site est en ligne, ajoutez des nouvelles à la fin de la liste !');
define('_MI_WFDOWNLOADS_VERSIONTYPESDSC', 'Liste des types de version à saisir. <br>Séparez avec | <br> IMPORTANT : ne changez pas cela une fois que le site est en ligne, ajoutez des nouveaux à la fin de la liste !');
define('_MI_WFDOWNLOADS_REVIEW_ENABLE', '[commentaires] Permettre l\'examen du système');
define('_MI_WFDOWNLOADS_REVIEW_ENABLEDSC', 'Si activé, l\'examen du système (soumettre et afficher les examens) est activé en arrière-plan.');
define('_MI_WFDOWNLOADS_RATING_ENABLE', '[note] Activer le système de notation');
define('_MI_WFDOWNLOADS_RATING_ENABLEDSC', 'Si activé, le système des évaluations (vote et affichage des évaluations) est activé en arrière-plan.');
define('_MI_WFDOWNLOADS_BROKENREPORT_ENABLE', '[rapports de liens brisés] Activer système de rapports de liens brisés');
define('_MI_WFDOWNLOADS_BROKENREPORT_ENABLEDSC', 'Si activé, le système de rapports de liens brisés est activé en arrière-plan.');
define('_MI_WFDOWNLOADS_SUBMISSIONS_CONFIGS', 'Autorisations générales des soumissions de téléchargements');
define('_MI_WFDOWNLOADS_SUBMISSIONS_CONFIGSDSC', '');
define('_MI_WFDOWNLOADS_DOWNLOAD_CONFIGSDSC', '');
define('_MI_WFDOWNLOADS_UPLOAD_CONFIGSDSC', '');
define('_MI_WFDOWNLOADS_IMAGES_CONFIGSDSC', '');
define('_MI_WFDOWNLOADS_SCREENSHOTS_CONFIGSDSC', '');
define('_MI_WFDOWNLOADS_FILESUPLOADS_CONFIGSDSC', '');
define('_MI_WFDOWNLOADS_SCREENSHOTS_ESTRASYSTEMSDSC', '');
define('_MI_WFDOWNLOADS_VARIOUS_CONFIGSDSC', '');
define('_MI_WFDOWNLOADS_AUTOSUMMARY1', _NO);
define('_MI_WFDOWNLOADS_AUTOSUMMARY2', 'Si vide');
define('_MI_WFDOWNLOADS_AUTOSUMMARY3', _YES);

define('_MI_WFDOWNLOADS_AUTOSUMMARYPLAINTEXT', '[Résumé automatique] Texte entier du résumé automatique');
define('_MI_WFDOWNLOADS_AUTOSUMMARYPLAINTEXTDESC', "If '" . _YES . "' all html tags, except &lt;br&gt;, will be removed.");

define(
    '_MI_WFDOWNLOADS_DISCLAIMER_DEFAULT',
    'Nous avons le droit, mais non l\'obligation de surveiller et d\'examiner les demandes soumises par les utilisateurs, sur les forums. Nous ne sommes pas responsables de tout le contenu de ces messages. Nous nous réservons en outre le droit, de supprimer, déplacer ou modifier des observations que l\'on juge abusif, à notre discrétion exclusive, diffamatoire, obscène ou en violation de tout droit d\'auteur ou de droit des marques ou tout autre qui serait répréhensible.'
);
define(
    '_MI_WFDOWNLOADS_DOWNDISCLAIMER_DEFAULT',
    'Les fichiers téléchargés sur ce site sont fournis en l\'état sans garantie expresse ou implicite. Les fichiers téléchargés doivent être vérifiés pour une éventuelle infection virale à l\'aide des packages de détection et de sécurité les plus récents. Si vous avez une question concernant un logiciel en particulier, n\'hésitez pas à contacter le développeur. Nous déclinons toute responsabilité pour tout dommage ou perte résultant de l\'utilisation ou de la mauvaise utilisation de tout logiciel proposé à partir de ce site pour téléchargement. Si vous avez le moindre doute sur la sécurité et le fonctionnement des logiciels mis à votre disposition sur ce site, ne les téléchargez pas.<br> <br>Contactez-nous si vous avez des questions concernant cette clause de non-responsabilité.'
);

define('_MI_WFDOWNLOADS_HELP_OVERVIEW', 'Vue d\'ensemble');
define('_MI_WFDOWNLOADS_HELP_INSTALL', 'Installer');
define('_MI_WFDOWNLOADS_HELP_TIPSTRICKS', 'Conseils & Astuces');
define('_MI_WFDOWNLOADS_HELP_IMPORT', 'Import<br>(EN COURS)');
define('_MI_WFDOWNLOADS_HELP_UPDATE1', 'Notes de mise à jour<br>(EN COURS)');
define('_MI_WFDOWNLOADS_HELP_UPDATE2', 'Mises à jour de 2.0 - 3.10<br>(EN COURS)');
define('_MI_WFDOWNLOADS_HELP_UPDATE3', 'Mises à jour de 3.10+<br>(EN COURS)');

define('_MI_WFDOWNLOADS_BATCHDIR', '[Envoi de fichiers] Répertoire d\'envoi groupé');
define('_MI_WFDOWNLOADS_BATCHDIRDSC', 'Le répertoire d\'envoi groupé *DOIT* avoir un chemin absolu ! <br>Pas de barre oblique finale.');

define('_MI_WFDOWNLOADS_SWISHE_CONFIGS', 'Préférences Swish-e');
define('_MI_WFDOWNLOADS_SWISHE_CONFIGSDSC', '');
define('_MI_WFDOWNLOADS_SWISHE_ENABLE', '[Swish-e] Activer le système de recherche Swish-e');
define('_MI_WFDOWNLOADS_SWISHE_ENABLEDSC', 'EN COURS');
define('_MI_WFDOWNLOADS_SWISHE_EXEPATH', '[Swish-e] Chemin de l\'exécutable Swish-e');
define('_MI_WFDOWNLOADS_SWISHE_EXEPATHDSC', 'EN COURS');
define('_MI_WFDOWNLOADS_SWISHE_SEARCHLIMIT', '[Swish-e] Maximum de résultats Swish-e');
define('_MI_WFDOWNLOADS_SWISHE_SEARCHLIMITDSC', "Pendant la recherche, cela spécifie le nombre maximum de résultats à retourner. '0' pour retourner tous les résultats.");

//Help
define('_MI_WFDOWNLOADS_DIRNAME', basename(dirname(__DIR__, 2)));
define('_MI_WFDOWNLOADS_HELP_HEADER', __DIR__ . '/help/helpheader.tpl');
define('_MI_WFDOWNLOADS_BACK_2_ADMIN', 'Retour à l\'administration de ');
define('_MI_WFDOWNLOADS_OVERVIEW', 'Vue d\'ensemble');

//define('_MI_WFDOWNLOADS_HELP_DIR', __DIR__);

//help multi-page
define('_MI_WFDOWNLOADS_HELP_DISCLAIMER', 'Avertissement');
define('_MI_WFDOWNLOADS_HELP_LICENSE', 'Licence');
define('_MI_WFDOWNLOADS_HELP_SUPPORT', 'Support');
//define('_MI_WFDOWNLOADS_REQUIREMENTS', 'Requiert');
//define('_MI_WFDOWNLOADS_CREDITS', 'Remerciements');
//define('_MI_WFDOWNLOADS_HOWTO', 'Comment procéder');
//define('_MI_WFDOWNLOADS_UPDATE', 'Mise à jour');
//define('_MI_WFDOWNLOADS_INSTALL', 'Installer');
//define('_MI_WFDOWNLOADS_HISTORY', 'Historique');
//define('_MI_WFDOWNLOADS_HELP1', 'YYYYY');
//define('_MI_WFDOWNLOADS_HELP2', 'YYYYY');
//define('_MI_WFDOWNLOADS_HELP3', 'YYYYY');
//define('_MI_WFDOWNLOADS_HELP4', 'YYYYY');
//define('_MI_WFDOWNLOADS_HELP5', 'YYYYY');
//define('_MI_WFDOWNLOADS_HELP6', 'YYYYY');

//show button to import sample data
define('_MI_WFDOWNLOADS_SHOW_SAMPLE_BUTTON', 'Afficher le bouton exemple ?');
define('_MI_WFDOWNLOADS_SHOW_SAMPLE_BUTTON_DESC', 'Si c\'est le cas, le bouton « Ajouter des données exemples » sera visible par l\'administrateur. Oui par défaut pour la première installation.');

define('_MI_WFDOWNLOADS_DOWNLOAD_CONFIGS', '<span style="color: #FF0000; font-size: Small;  font-weight: bold;">---Préférences de téléchargement---</span> ');
define('_MI_WFDOWNLOADS_UPLOAD_CONFIGS', '<span style="color: #FF0000; font-size: Small;  font-weight: bold;">---Préférences des envois / soumissions---</span> ');
define('_MI_WFDOWNLOADS_IMAGES_CONFIGS', '<span style="color: #FF0000; font-size: Small;  font-weight: bold;">---Préférences des images---</span> ');
define('_MI_WFDOWNLOADS_SCREENSHOTS_CONFIGS', '<span style="color: #FF0000; font-size: Small;  font-weight: bold;">---Préférences des captures d\'écran---</span> ');
define('_MI_WFDOWNLOADS_FILESUPLOADS_CONFIGS', '<span style="color: #FF0000; font-size: Small;  font-weight: bold;">---Préférences de fichiers---</span> ');
define('_MI_WFDOWNLOADS_SCREENSHOTS_ESTRASYSTEMS', '<span style="color: #FF0000; font-size: Small;  font-weight: bold;">---Préférences système supplémentaires---</span> ');
define('_MI_WFDOWNLOADS_VARIOUS_CONFIGS', '<span style="color: #FF0000; font-size: Small;  font-weight: bold;">---Préférences diverses---</span> ');

//Publisher templates
define('_MI_WFDOWNLOADS_DISPLAY_CONFIGS', '<span style="color: #FF0000; font-size: Small;  font-weight: bold;">---Préférences d\'affichage des catégories---</span> ');

define('_MI_WFDOWNLOADS_CATEGORIES_TABLE_DSC', 'Afficher le tableau de la liste des catégories utilisées dans d\'autres modèles');

define('_MI_WFDOWNLOADS_DISPLAY_CATVIEW_DSC', 'Afficher l\'index et la catégorie');
define('_MI_WFDOWNLOADS_DISPLAY_LIST_DSC', 'Afficher l\'index et la catégorie avec le type d\'affichage sous forme de liste à puces');
define('_MI_WFDOWNLOADS_DISPLAY_SUMMARY_DSC', 'Afficher l\'index et la catégorie avec le type d\'affichage Résumé');
define('_MI_WFDOWNLOADS_DISPLAY_FULL_DSC', 'Afficher l\'index et la catégorie avec le type d\'affichage complet');
define('_MI_WFDOWNLOADS_DISPLAY_WFSECTION_DSC', 'Afficher l\'index et la catégorie dans le style du module WF-Section');
define('_MI_WFDOWNLOADS_DISPLAY_LEGACY_DSC', 'Afficher l\'index et la catégorie dans un style hérité');

define('_CO_WFDOWNLOADS_DISPLAY_SUMMARY', 'Afficher le sommaire sur la page de l\'article ?');

define('_MI_WFDOWNLOADS_DISPLAYTYPE_CATVIEW', 'Affichage de la catégorie');
define('_MI_WFDOWNLOADS_DISPLAYTYPE_FULL', 'Affichage complet');
define('_MI_WFDOWNLOADS_DISPLAYTYPE_LIST', 'Liste à puces');
define('_MI_WFDOWNLOADS_DISPLAYTYPE_WFSECTION', 'Style WFSection');
define('_MI_WFDOWNLOADS_DISPLAYTYPE_SUMMARY', 'Affichage du Résumé');
define('_MI_WFDOWNLOADS_DISPLAYTYPE_LEGACY', 'Héritage');

define('_MI_WFDOWNLOADS_DISP_CAT_CONFIGS', 'Vue complète');

define('_MI_WFDOWNLOADS_DISTYPE', 'Type d\'affichage des téléchargements :');
define('_MI_WFDOWNLOADS_DISTYPE_DSC', 'si « Affichage du Résumé » est sélectionné, seuls le titre, la date et les accès de chaque élément seront affichés dans une catégorie sélectionnée. Si « Affichage complet » est sélectionné, chaque élément sera entièrement affiché dans une catégorie sélectionnée.');

define('_MI_WFDOWNLOADS_ALPHABET_SHOW', 'Afficher en alphabet ?');
define('_MI_WFDOWNLOADS_ALPHABET_SHOW_DESC', 'Si oui, il affichera les téléchargements groupés par ordre alphabétique');

define('_MI_WFDOWNLOADS_ADMENU_MIGRATE', 'Migrer');

define('_MI_WFDOWNLOADS_NEW_ITEMS', 'Afficher les indicateurs des nouveaux éléments');
define('_MI_WFDOWNLOADS_NEW_ITEMS_DESC', 'Si oui, il affichera les nouveaux éléments aujourd\'hui, les 3 derniers jours, cette semaine et plus d\'une semaine');
